# Class RcsbFv3DCustom

#### Hierarchy

- RcsbFv3DCustomAbstract<LoadMolstarInterface<unknown, unknown>, LoadMolstarReturnType, {
  viewerElement: string | HTMLElement;
  viewerProps: Partial<ViewerProps>;
  }>
  - RcsbFv3DCustom

- Defined in src/RcsbFv3D/RcsbFv3DCustom.tsx:30

#####
Index

### Constructors

constructor

### Methods

pluginCall
render
unmount
updateConfig

## Constructors

### constructor

- new RcsbFv3DCustom(params): RcsbFv3DCustom

- #### Parameters

  - ##### params: RcsbFv3DCustomInterface

  #### Returns RcsbFv3DCustom

  Overrides RcsbFv3DCustomAbstract.constructor

  - Defined in src/RcsbFv3D/RcsbFv3DCustom.tsx:32

## Methods

### pluginCall

- pluginCall(f): void

- #### Parameters

  - ##### f: ((plugin) => void)

    - - (plugin): void

      - #### Parameters

        - ##### plugin: PluginContext

        #### Returns void

  Inherited from RcsbFv3DCustomAbstract.pluginCall

  - Defined in src/RcsbFv3D/RcsbFv3DCustomAbstract.tsx:89

### render

- render(): void

- #### Returns void

  Inherited from RcsbFv3DCustomAbstract.render

  - Defined in src/RcsbFv3D/RcsbFv3DCustomAbstract.tsx:48

### unmount

- unmount(removeHtmlElement?, unmountCallback?): void

- #### Parameters

  - ##### `Optional` removeHtmlElement: boolean

  - ##### `Optional` unmountCallback: (() => {})

    - - (): {}

      - #### Returns {}

  #### Returns void

  Inherited from RcsbFv3DCustomAbstract.unmount

  - Defined in src/RcsbFv3D/RcsbFv3DCustomAbstract.tsx:72

### updateConfig

- updateConfig(config): void

- #### Parameters

  - ##### config: {
    sequencePanelConfig?: Partial<RcsbFvCustomSequenceInterface<LoadMolstarInterface<unknown, unknown>, LoadMolstarReturnType>>;
    structurePanelConfig?: Partial<RcsbFvStructureConfigInterface<LoadMolstarInterface<unknown, unknown>, {
    viewerElement: string | HTMLElement;
    viewerProps: Partial<ViewerProps>;
    }>>;
    }

    - ##### `Optional` sequencePanelConfig?: Partial<RcsbFvCustomSequenceInterface<LoadMolstarInterface<unknown, unknown>, LoadMolstarReturnType>>

    - ##### `Optional` structurePanelConfig?: Partial<RcsbFvStructureConfigInterface<LoadMolstarInterface<unknown, unknown>, {
      viewerElement: string | HTMLElement;
      viewerProps: Partial<ViewerProps>;
      }>>

  #### Returns void

  Inherited from RcsbFv3DCustomAbstract.updateConfig

  - Defined in src/RcsbFv3D/RcsbFv3DCustomAbstract.tsx:85

Generated using TypeDoc